Lightroom: unable to open 4.2. Error: Beta version has expired and program will close

  • 1
  • Problem
  • Updated 6 years ago
  • (Edited)
upgraded from 4.1 to 4.2 unable to open 4.2, get a window that says Beta version has expired and program will close. I can open 4.1 without any problem. I bought Lightroom 4 and have the key for it so I should not have this issue.
Photo of Tina Moore

Tina Moore

  • 1 Post
  • 0 Reply Likes

Posted 6 years ago

  • 1
Photo of Jeffrey Tranberry

Jeffrey Tranberry, Sr. Product Manager, Digital Imaging

  • 14683 Posts
  • 1964 Reply Likes
Sounds like you still have the RC candidate installed. Download the final version of 4.2 from here: http://www.adobe.com/downloads/updates/